## ros-melodic-ainstein-radar-msgs 2.0.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.0)
set(CMAKE_CXX_STANDARD 11)

project(ainstein_radar_msgs)

find_package(catkin REQUIRED COMPONENTS
  std_msgs
  message_generation
)

add_message_files(
  FILES
  RadarInfo.msg
  RadarAlarm.msg
  RadarAlarmArray.msg
  RadarAlarmStamped.msg
  RadarTarget.msg
  RadarTargetArray.msg
  RadarTargetStamped.msg
  )

generate_messages(
  DEPENDENCIES
  std_msgs
)

catkin_package(
  CATKIN_DEPENDS message_runtime
  )

include_directories(
 ${catkin_INCLUDE_DIRS}
 )
 
install(TARGETS
   ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
   LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
   RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
 )

=== debian/changelog ===
ros-melodic-ainstein-radar-msgs (2.0.2-1stretch) stretch; urgency=high



 -- Nick Rotella <nick.rotella@ainstein.ai>  Tue, 19 Nov 2019 06:00:00 -0000

ros-melodic-ainstein-radar-msgs (2.0.1-1stretch) stretch; urgency=high



 -- Nick Rotella <nick.rotella@ainstein.ai>  Tue, 12 Nov 2019 06:00:00 -0000

ros-melodic-ainstein-radar-msgs (2.0.0-1stretch) stretch; urgency=high

  * Update RadarInfo msg, refactor for K79 and add T79
    Updated the RadarInfo message slightly. Also refactored the K79
    interface class to publish the RadarInfo message.
    Added publishing the RadarInfo message for T79 as well, needs testing.
  * Update RadarInfo message and fix dependencies
    Updated the RadarInfo message with new fields fully describing the data
    and added comments to explain them.
    Also fixed a small dependency in the RViz plugins package for display
    of the RadarInfo messages, however this plugin is not complete anyway.
  * Contributors: Nick Rotella

 -- Nick Rotella <nick.rotella@ainstein.ai>  Tue, 12 Nov 2019 06:00:00 -0000

ros-melodic-ainstein-radar-msgs (1.1.0-1stretch) stretch; urgency=high

  * Minor fixes to package XML formatting
    Fixed the package XML file formatting and added missing content to
    conform to the suggested style guidelines.
  * Contributors: Nick Rotella

 -- Nick Rotella <nick.rotella@ainstein.ai>  Tue, 29 Oct 2019 05:00:00 -0000

ros-melodic-ainstein-radar-msgs (1.0.3-1stretch) stretch; urgency=high



 -- Nick Rotella <nick.rotella@ainstein.ai>  Thu, 03 Oct 2019 05:00:00 -0000

ros-melodic-ainstein-radar-msgs (1.0.2-1stretch) stretch; urgency=high



 -- Nick Rotella <nick.rotella@ainstein.ai>  Wed, 25 Sep 2019 05:00:00 -0000

ros-melodic-ainstein-radar-msgs (1.0.1-1stretch) stretch; urgency=high

  * Minor, remove unnecessary install target for radar_msgs
  * Merge branch 'master' of https://github.com/AinsteinAI/ainstein_radar
  * Add ainstein_radar_msgs/RadarInfo msg definition
    Added a new message type to ainstein_radar_msgs to store information
    about a radar sensor's properties, configuration, etc. Currently
    contains physical limits for range, speed and angles.
  * Fix radar stamped msg, add nearest target filter
    Fixed the RadarTargetStamped message to use the unstamped RadarTarget
    message rather than duplicating fields.
    Added a nearest target filter which extracts the nearest target (by
    range) within set min/max range bounds and optionally low-pass filters
    it before publishing as both a RadarTargetStamped and as an array with
    one message (called "tracked").  Will remove the array published after
    implementing a proper tracked target filter.
  * Refactor radar message types, other ainstein_radar subpkgs WILL NOT BUILD
    Refactored the message types defined for radars, breaking all other subpkgs
    in the ainstein_radar metapkg. Now refactoring all other pkgs to use the
    new message definitions.
  * Migrate old radar_sensor_msgs pkg to new ainstein_radar_msgs subpkg
  * Contributors: Nick Rotella

 -- Nick Rotella <nick.rotella@ainstein.ai>  Tue, 24 Sep 2019 05:00:00 -0000

=== debian/control ===
Source: ros-melodic-ainstein-radar-msgs
Section: misc
Priority: optional
Maintainer: Nick Rotella <nick.rotella@ainstein.ai>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-message-generation, ros-melodic-std-msgs
Homepage: https://wiki.ros.org/ainstein_radar_msgs
Standards-Version: 3.9.2

Package: ros-melodic-ainstein-radar-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-message-runtime, ros-melodic-std-msgs
Description: ROS message definitions for Ainstein radars.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-ainstein-radar-msgs//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
